package com.ynet.life.sujrb.controller;

import com.ynet.gene.accesscontrol.AccessController;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.UniqRequestId;
import com.ynet.gene.timerecorder.GENETimerRecorder;
import com.ynet.life.base.logon.LifeLogonManager;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_sujrb_controller.jar:com/ynet/life/sujrb/controller/TranTimesRecorderAccessController.class */
public class TranTimesRecorderAccessController implements AccessController {
    private String channelId;
    private String appId;
    private String businessCode;
    private String userIdField;
    private String branchCodeField;
    private String clientIPField;
    private String sessionIdField;
    private String channelIdField = "srcChannel";
    private String sequenceNoField = "_SequenceNo";
    private String errCodeField = "errorCode";
    private String hostErrCodeField = "hostReturnCode";
    private String servletRequestField = "_ServletRequest";

    public void beginAccess(Object accessInfo) {
        GENETimerRecorder.logStart((Map) accessInfo);
    }

    public Object checkAccess(Context context, Object requestObj, String actionId) throws GENEException {
        Map<String, Object> threadInfo = new HashMap<>();
        String serverAddress = LifeLogonManager.getServerAddress();
        System.out.println(serverAddress);
        this.userIdField = "customerId";
        this.branchCodeField = "session_branchNo";
        this.clientIPField = "session_userRemoteIP";
        threadInfo.put("appId", this.appId);
        threadInfo.put("context", context);
        threadInfo.put("actionId", actionId);
        try {
            String sequenceNo = UniqRequestId.getLogId(6);
            context.put(this.sequenceNoField, sequenceNo);
        } catch (Exception unused) {
        }
        return threadInfo;
    }

    public void endAccess(Object accessInfo, long beginTimeStamp) {
        Map threadInfo = (Map) accessInfo;
        Context context = (Context) threadInfo.get("context");
        String actionId = (String) threadInfo.get("actionId");
        HashMap tranInfo = new HashMap();
        tranInfo.put("txcode", actionId);
        handleTranInfo(context, actionId, tranInfo);
        threadInfo.put("tranInfo", tranInfo);
        GENETimerRecorder.logEnd(threadInfo, tranInfo);
    }

    protected void handleTranInfo(Context context, String actionId, Map tranInfo) {
        if (context != null) {
            try {
                if (this.clientIPField == null || context.getDataValue(this.clientIPField) == null) {
                    try {
                        HttpServletRequest request = (HttpServletRequest) context.getDataValue(this.servletRequestField);
                        tranInfo.put("clientIP", request.getRemoteAddr());
                    } catch (Exception unused) {
                    }
                } else {
                    tranInfo.put("clientIP", context.getDataValue(this.clientIPField));
                }
            } catch (Exception unused2) {
            }
            try {
                tranInfo.put("sessionId", context.getDataValue(this.sessionIdField));
            } catch (Exception unused3) {
            }
            try {
                tranInfo.put("userId", context.getDataValue(this.userIdField));
            } catch (Exception unused4) {
            }
            try {
                tranInfo.put("branchCode", context.getDataValue(this.branchCodeField));
            } catch (Exception unused5) {
            }
            try {
                tranInfo.put("sequenceNo", context.getDataValue(this.sequenceNoField));
            } catch (Exception unused6) {
            }
            try {
                tranInfo.put("errCode", context.getDataValue(this.errCodeField));
            } catch (Exception unused7) {
            }
            try {
                tranInfo.put("hostErrCode", context.getDataValue(this.hostErrCodeField));
            } catch (Exception unused8) {
            }
            try {
                tranInfo.put("channelId", "PB");
            } catch (Exception unused9) {
            }
            try {
                tranInfo.put("businessId", context.getDataValue("businessCode"));
            } catch (Exception unused10) {
            }
        }
    }

    public void setBranchCodeField(String branchCodeField) {
        this.branchCodeField = branchCodeField;
    }

    public void setErrCodeField(String errCodeField) {
        this.errCodeField = errCodeField;
    }

    public void setHostErrCodeField(String hostErrCodeField) {
        this.hostErrCodeField = hostErrCodeField;
    }

    public void setSequenceNoField(String sequenceNoField) {
        this.sequenceNoField = sequenceNoField;
    }

    public String getUserIdField() {
        return this.userIdField;
    }

    public void setUserIdField(String userIdField) {
        this.userIdField = userIdField;
    }

    public String getBranchCodeField() {
        return this.branchCodeField;
    }

    public String getSequenceNoField() {
        return this.sequenceNoField;
    }

    public String getErrCodeField() {
        return this.errCodeField;
    }

    public String getHostErrCodeField() {
        return this.hostErrCodeField;
    }

    public String getChannelId() {
        return this.channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getChannelIdField() {
        return this.channelIdField;
    }

    public void setChannelIdField(String channelIdField) {
        this.channelIdField = channelIdField;
    }

    public String getClientIPField() {
        return this.clientIPField;
    }

    public void setClientIPField(String clientIPField) {
        this.clientIPField = clientIPField;
    }

    public String getSessionIdField() {
        return this.sessionIdField;
    }

    public void setSessionIdField(String sessionIdField) {
        this.sessionIdField = sessionIdField;
    }

    public String getAppId() {
        return this.appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }
}
